> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Customers

> List all customers with pagination



## OpenAPI

````yaml get /v1/customers
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/customers:
    get:
      summary: Get All Customers
      description: This endpoint allows you to retrieve all customers
      operationId: get-all-customers
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: page
          in: query
          schema:
            type: number
            default: 1
        - name: per_page
          in: query
          schema:
            type: number
            default: 10
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result: {}
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        birth_date:
                          type: string
                        gender:
                          type: string
                        email:
                          type: string
                        phone_number:
                          type: string
                        address:
                          type: object
                          properties:
                            city:
                              type: string
                            state:
                              type: string
                            street:
                              type: string
                            postal_code:
                              type: string
                            country:
                              type: string
                          required:
                            - city
                            - state
                            - street
                            - postal_code
                        remark:
                          type: string
                        phone_number_country_code:
                          type: string
                        created_at:
                          type: string
                        updated_at:
                          type: string
                      required:
                        - id
                        - name
                        - birth_date
                        - gender
                        - email
                        - phone_number
                        - address
                        - remark
                        - phone_number_country_code
                        - created_at
                        - updated_at
                  links:
                    type: object
                    properties:
                      first: {}
                      last: {}
                      prev: {}
                      next:
                        type: string
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      path:
                        type: string
                      per_page:
                        type: number
                      next_cursor:
                        type: string
                      prev_cursor: {}
                    required:
                      - path
                      - per_page
                      - next_cursor
                      - prev_cursor
      deprecated: false

````